[Touch-packages] [Bug 1766503] Re: ibus-* randomly use high CPU

2020-08-13 Thread Dominique
I have a 
Using Linux Mint mate (Linux Mint 19.1 Tessa) 
Linux 4.15.0-112-generic #113-Ubuntu SMP Thu Jul 9 23:41:39 UTC 2020 x86_64 
x86_64 x86_64 GNU/Linux

We are in Belgium (and ibus-deamon configured for FR-BE keyboard) where we use 
lot of é, è, à and sometime other likes û.
As I'm typing quite quickly and make typing faults, I also use a lot the 
backspace and ctrl+backspace.
As I'm also using the terminals, Shift+Ctrl+v and Shift+Ctrl+v are used a lots 
(sometime by mistake in regular editor like xed). Note that e 
is configured for emoticones in the ibus-deamon.


When taping text in xed (2.0.2)... and usually with xed, the ibus-deamon became 
crazy and heating CPU. It is not difficult to me identify it, computer quicly 
raise from 55°C to 80°C (in ~30 seconds).
This happens almost each time with xed, sometine in a minute, sometime after a 
while.
That's completely boring... after several weeks I did need to stop using xed !

As I'm a coder, I also use AtomIDE and I did NEVER have the issue under
AtomIDE... but XED + iBus-deamon are still firing my CPU.

Kind regards,
Dominique

I

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1766503

Title:
  ibus-* randomly use high CPU

Status in The Ubuntu Power Consumption Project:
  Confirmed
Status in ibus package in Ubuntu:
  Confirmed

Bug description:
  ibus-* randomly use high CPU in Ubuntu 18.04

  In fact, I think it's now using more CPU overall than the shell itself
  is to redraw a 4K screen:

PID USER  PR  NIVIRTRESSHR S  %CPU %MEM TIME+ COMMAND   
  
   3308 dan   20   0 4009804 192676  84804 R  45.7  2.4   1:13.65 
gnome-shell 
   3352 dan   20   0  384364  26796  20552 S  13.9  0.3   0:22.81 ibus-x11  
  
   3372 dan   20   0  217944  10620   7764 S  10.9  0.1   0:16.20 
ibus-engin+ 
   3350 dan   20   0  293828  10384   7516 R  10.6  0.1   0:16.54 
ibus-dconf  
   3346 dan   20   0  374572  11944   8268 S  10.3  0.1   0:15.93 
ibus-daemon

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: ibus 1.5.17-3ubuntu4
  ProcVersionSignature: Ubuntu 4.15.0-19.20-generic 4.15.17
  Uname: Linux 4.15.0-19-generic x86_64
  ApportVersion: 2.20.9-0ubuntu6
  Architecture: amd64
  Date: Tue Apr 24 15:29:07 2018
  InstallationDate: Installed on 2017-12-12 (133 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20171211)
  SourcePackage: ibus
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-power-consumption/+bug/1766503/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1860926] Re: Ubuntu 20.04 Systemd fails to configure bridged network

2020-04-26 Thread Dominique Poulain
** Tags added: seg

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1860926

Title:
  Ubuntu 20.04  Systemd fails to configure bridged network

Status in systemd package in Ubuntu:
  Confirmed
Status in systemd source package in Focal:
  Confirmed

Bug description:
  [impact]

  A bridged interface with static ipv4 address and gateway configuration
  will fail to properly add the route via the gateway, leaving the
  system without a globally working network.

  [test case]

  On a Focal system, remove all network configuration and create this
  netplan:

  network:
    version: 2
    renderer: networkd
    ethernets:
  enp4s0:
    dhcp4: false
    bridges:
  br0:
    interfaces: [enp4s0]
    dhcp4: no
    addresses: [192.168.0.4/24]
    gateway4: 192.168.0.1
    nameservers:
  search: [mydomain]
  addresses: [192.168.0.1,192.168.0.2,192.168.0.3]

  Replace the interface name 'enp4s0' with the actual interface name on
  the test system.

  Reboot the system, and check the route to the gateway, which will be
  missing:

  root@lp1860926-f:~# ip r
  192.168.0.0/24 dev br0 proto kernel scope link src 192.168.0.4

  The route is expected to be present, e.g.:

  ubuntu@lp1860926-e:~$ ip r
  default via 192.168.0.1 dev br0 proto static
  192.168.0.0/24 dev br0 proto kernel scope link src 192.168.0.4

  [regression potential]

  Not SRU - N/A

  [scope]

  This is not reproducable on Eoan or Bionic; this is needed only for
  Focal.

  [original description]

  Freshly installed Ubuntu 20.04 fully patched to days date with static
  IP address works fine and survives a reboot

  network:
    version: 2
    renderer: networkd
    ethernets:
  enp4s0:
    dhcp4: false
    addresses: [192.168.0.4/24]
    gateway4: 192.168.0.1
    nameservers:
  search: [mydomain]
  addresses: [192.168.0.1,192.168.0.2,192.168.0.3]

  however when converted to a bridged network for kvm

  network:
    version: 2
    renderer: networkd
    ethernets:
  enp4s0:
    dhcp4: false
    bridges:
  br0:
    interfaces: [enp4s0]
    dhcp4: no
    addresses: [192.168.0.4/24]
    gateway4: 192.168.0.1
    nameservers:
  search: [mydomain]
  addresses: [192.168.0.1,192.168.0.2,192.168.0.3]

  will not survive a reboot and required systemd-network to be restarted or
  @reboot /usr/sbin/netplan apply
  added to the crontab

  after a reboot the network can not b eaccseed and a
  systemctl status systemd-networkd produces

  systemd-networkd.service - Network Service
   Loaded: loaded (/lib/systemd/system/systemd-networkd.service; enabled; 
vendor preset: enabled)
   Active: active (running) since Sun 2020-01-26 16:36:28 UTC; 2min 27s ago
  TriggeredBy: ● systemd-networkd.socket
     Docs: man:systemd-networkd.service(8)
     Main PID: 979 (systemd-network)
   Status: "Processing requests..."
    Tasks: 1 (limit: 57662)
   Memory: 4.1M
   CGroup: /system.slice/systemd-networkd.service
   └─979 /lib/systemd/systemd-networkd

  Jan 26 16:38:02 firebolt systemd-networkd[979]: rtnl: received neighbor for 
link '5' we don't know about, ignoring.
  Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: rtnl: received 
neighbor message with invalid family, ignoring.
  Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: rtnl: received 
neighbor message with invalid family, ignoring.
  Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0: rtnl: received 
neighbor message with invalid family, ignoring.
  Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Link UP
  Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Gained carrier
  Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0: Link UP
  Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Link DOWN
  Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Lost carrier
  Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Kernel removed an 
address we don't remember: fe80::5054:ff:fed9:7e26/64 (valid forever), ignoring.

  systemctl restart systemd-networkd resolved the issue and a

  systemctl status systemd-network producessystemd-networkd.service - Network 
Service
   Loaded: loaded (/lib/systemd/system/systemd-networkd.service; enabled; 
vendor preset: enabled)
   Active: active (running) since Sun 2020-01-26 16:39:28 UTC; 41s ago
  TriggeredBy: ● systemd-networkd.socket
     Docs: man:systemd-networkd.service(8)
     Main PID: 1650 (systemd-network)
   Status: "Processing requests..."
    Tasks: 1 (limit: 57662)
   Memory: 1.6M
   CGroup: /system.slice/systemd-networkd.service
   └─1650 /lib/systemd/systemd-networkd

  Jan 26 16:39:28 firebolt systemd[1]: Starting Network Service...
  Jan 26 16:39:28 firebolt 

[Touch-packages] [Bug 1803706] Re: long application menus overflowing when screen too small

2019-08-27 Thread Dominique Meeùs
Certainly in 19.04 (I do not remember when it begun: 18.10?), at some moment 
appeared a much larger line spacing, pushing the OK button or the Quit button 
out of the screen.
In LibreOffice Calc, I can choose formatting, but not get it actually: OK 
button out of reach.
In Nextcloud (dialog from notification area), I can not quit — I have to kill 
the application.
This was not the case in the past, with as much fonts (in LibreOffice), with as 
much folders to sync in Nextcloud.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1803706

Title:
  long application menus overflowing when screen too small

Status in LibreOffice:
  Won't Fix
Status in gtk+3.0 package in Ubuntu:
  Confirmed
Status in libreoffice package in Ubuntu:
  Invalid

Bug description:
  Hi I am not a developer, only a user.

  In 18.10 Cosmic with new Yaru theme: any application with long menus are 
overflowing and covering the menubar making impossible to slide mouse to the 
next menu. It affects long sub-menus too. It mainly affects LibreOffice as it 
has got quite large menus but it is also present in CherryTree app and I guess 
in any other.
  When the menu is not wider than the available vertical area of the screen 
than they show up nicely aligned under the menu toolbar but when it is too 
large: it might even run edge to edge vertically.

  (As for Design: probably a slightly different colour at the end of
  these long menus would make them more visible where the arrows are.)

  Thanks

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1803706/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803706] Re: long application menus overflowing when screen too small

2019-08-27 Thread Dominique Meeùs
Screen capture with a LibreOffice Calc dialog.

** Attachment added: "LOCalc_2019-08-27_10-35-00.png"
   
https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/+bug/1803706/+attachment/5284877/+files/LOCalc_2019-08-27_10-35-00.png

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1803706

Title:
  long application menus overflowing when screen too small

Status in LibreOffice:
  Won't Fix
Status in gtk+3.0 package in Ubuntu:
  Confirmed
Status in libreoffice package in Ubuntu:
  Invalid

Bug description:
  Hi I am not a developer, only a user.

  In 18.10 Cosmic with new Yaru theme: any application with long menus are 
overflowing and covering the menubar making impossible to slide mouse to the 
next menu. It affects long sub-menus too. It mainly affects LibreOffice as it 
has got quite large menus but it is also present in CherryTree app and I guess 
in any other.
  When the menu is not wider than the available vertical area of the screen 
than they show up nicely aligned under the menu toolbar but when it is too 
large: it might even run edge to edge vertically.

  (As for Design: probably a slightly different colour at the end of
  these long menus would make them more visible where the arrows are.)

  Thanks

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1803706/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803706] Re: long application menus overflowing when screen too small

2019-08-27 Thread Dominique Meeùs
Screen capture with Nextcloud.
I am not a professional. To me it seems reasonable to think GTK is the culprit 
but others may know better.

** Attachment added: "Nextcloud_2019-08-27_10-29-59.png"
   
https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/+bug/1803706/+attachment/5284878/+files/Nextcloud_2019-08-27_10-29-59.png

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1803706

Title:
  long application menus overflowing when screen too small

Status in LibreOffice:
  Won't Fix
Status in gtk+3.0 package in Ubuntu:
  Confirmed
Status in libreoffice package in Ubuntu:
  Invalid

Bug description:
  Hi I am not a developer, only a user.

  In 18.10 Cosmic with new Yaru theme: any application with long menus are 
overflowing and covering the menubar making impossible to slide mouse to the 
next menu. It affects long sub-menus too. It mainly affects LibreOffice as it 
has got quite large menus but it is also present in CherryTree app and I guess 
in any other.
  When the menu is not wider than the available vertical area of the screen 
than they show up nicely aligned under the menu toolbar but when it is too 
large: it might even run edge to edge vertically.

  (As for Design: probably a slightly different colour at the end of
  these long menus would make them more visible where the arrows are.)

  Thanks

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1803706/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1651923] Re: apt https method decodes redirect locations and sends them to the destination undecoded.

2019-05-10 Thread Dominique Meeùs
I still had the mscorefonts problem (errors in sourceforge mirrors) in 19.04. 
Found this workaround in #1655431. Quoting: Boris Rybalkin (ribalkin) wrote on 
2017-11-26:#18
Was able to fix sf mirrors issue by replacing sf mirror with some github copy:
sudo sed -i 
's#http://downloads.sourceforge.net/corefonts#https://github.com/pushcx/corefonts/raw/master#g'
 /usr/share/package-data-downloads/ttf-mscorefonts-installer
Then run:
sudo /usr/lib/update-notifier/package-data-downloader
All downloaded and good.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1651923

Title:
  apt https method decodes redirect locations and sends them to the
  destination undecoded.

Status in apt package in Ubuntu:
  Fix Released
Status in apt source package in Xenial:
  Fix Released
Status in apt source package in Yakkety:
  Fix Released

Bug description:
  [Impact]
  Downloads via HTTPS fail if the URL contains a space (before yakkety only if 
there is no redirect from a previous space-free https URL). This breaks 
packages like ttf-mscorefonts-installer and various third party hosters.

  [Test case]
  Install/Upgrade apt-transport-https, that's where the fix is.

  Check that

  /usr/lib/apt/apt-helper download-file
  
http://kxstudio.linuxaudio.org/repo/pool/free/ardour4_4.7.0-1kxstudio1_i386.deb
  test.deb

  can successfully download the file (or at least start downloading it)
  and does not fail early with a 505 HTTP version not supported error
  message.

  This problem does not occur with that file on xenial, as it first
  redirects to an https URI without a space which then redirects to an
  HTTPS uri with a space (http w/o space -> https w/o space -> https w/
  space). In xenial, https->https redirects where handled internally by
  curl.

  Another test (applicable to xenial) is to install ttf-mscorefonts-
  installer.

  [Regression potential]
  The added code is:
     Uri.Path = QuoteString(Uri.Path, "+~ ");

  Some servers might not like + or ~ being quoted. We use the same
  quoting call for the http method too, though, so it seems highly
  unlikely to cause an issue.

  [Original bug report]
  Distributor ID:   Ubuntu
  Description:  Ubuntu 16.10
  Release:  16.10
  Codename: yakkety

  apt version 1.3.3 (also tried 1.4-beta2 .deb, same results)

  When trying to install a package hosted on s3 from the kxstudio repo,
  the download fails with an HTTP error:

  nico@nico-lenovo-ubuntu:~/Downloads$ sudo apt-get install wineasio-amd64
  Reading package lists... Done
  Building dependency tree
  Reading state information... Done
  The following additional packages will be installed:
    wine1.6-amd64
  The following NEW packages will be installed
    wine1.6-amd64 wineasio-amd64
  0 to upgrade, 2 to newly install, 0 to remove and 1 not to upgrade.
  Need to get 30.9 kB/32.6 kB of archives.
  After this operation, 184 kB of additional disk space will be used.
  Do you want to continue? [Y/n] y
  Err:1 http://kxstudio.linuxaudio.org/repo stable/free amd64 wineasio-amd64 
amd64 0.9.0+git20110613-2kxstudio3
    505  HTTP Version not supported
  E: Failed to fetch 
https://github-cloud.s3.amazonaws.com/releases/39372848/0f048802-2fb5-11e5-9d8c-907ec7b97c46.deb?X-Amz-Algorithm=AWS4-HMAC-SHA256=AKIAISTNZFOVBIJMK3TQ/20161222/us-east-1/s3/aws4_request=20161222T022041Z=300=750f9b2ee076dcb8ae6992cae911f43208b3eec41976362cebf694e3c72b7aef=host_id=0=attachment;
 
filename=wineasio-amd64_0.9.0.git20110613-2kxstudio3_amd64.deb=application/octet-stream
  505  HTTP Version not supported
  E: Unable to fetch some archives, maybe run apt-get update or try with 
--fix-missing?

  Error allegedly not present in Ubuntu 14.04 and 16.04

  More details in these forum posts:

  https://github.com/KXStudio/Repository/issues/73#issuecomment-268649503

  https://www.linuxmusicians.com/viewtopic.php?t=16056

  https://www.drupal.org/node/2324991 (clues on root cause)

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: apt 1.3.3
  ProcVersionSignature: Ubuntu 4.8.0-30.32-lowlatency 4.8.6
  Uname: Linux 4.8.0-30-lowlatency x86_64
  ApportVersion: 2.20.3-0ubuntu8.2
  Architecture: amd64
  CurrentDesktop: X-Cinnamon
  Date: Thu Dec 22 02:31:47 2016
  InstallationDate: Installed on 2016-10-20 (62 days ago)
  InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
  SourcePackage: apt
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1651923/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1751011] Re: bash crashes in qemu-user environments (bionic)

2018-03-13 Thread Dominique Belhachemi
https://lists.gnu.org/archive/html/bug-bash/2018-02/msg00093.html

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1751011

Title:
  bash crashes in qemu-user environments (bionic)

Status in bash package in Ubuntu:
  Triaged
Status in bash package in Debian:
  Fix Released

Bug description:
  Attempts to launch bash in an arm64 qemu-user environment in bionic
  results in the following error message:

  bash: xmalloc: .././shell.c:1709: cannot allocate 10 bytes (0 bytes
  allocated)

  This causes any qemu/chroot based bootstrapping to fail as many
  packages invoke bash during postinst.

  Version: bash_4.4.18-1ubuntu1_arm64
  Release: 18.04 pre-release

  QEMU: 2.8.0

  This appears to have been reported and fixed in the corresponding
  Debian package (https://bugs.debian.org/cgi-
  bin/bugreport.cgi?bug=889869)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1751011/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1751011] Re: bash crashes in qemu-user environments (bionic)

2018-02-23 Thread Dominique Belhachemi
This has been fixed in Debian's bash (4.4.18-1.1)

** Bug watch added: Debian Bug tracker #889869
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=889869

** Also affects: bash (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=889869
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1751011

Title:
  bash crashes in qemu-user environments (bionic)

Status in bash package in Ubuntu:
  Confirmed
Status in bash package in Debian:
  Unknown

Bug description:
  Attempts to launch bash in an arm64 qemu-user environment in bionic
  results in the following error message:

  bash: xmalloc: .././shell.c:1709: cannot allocate 10 bytes (0 bytes
  allocated)

  This causes any qemu/chroot based bootstrapping to fail as many
  packages invoke bash during postinst.

  Version: bash_4.4.18-1ubuntu1_arm64
  Release: 18.04 pre-release

  QEMU: 2.8.0

  This appears to have been reported and fixed in the corresponding
  Debian package (https://bugs.debian.org/cgi-
  bin/bugreport.cgi?bug=889869)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1751011/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1694730] Re: /etc/update-motd.d/50-motd-news calls home on each ssh connection

2017-06-27 Thread Dominique Belhachemi
Could you please explain why Canonical is tracking user hardware per
default without user consent?

See /etc/update-motd.d/50-motd-news

e.g.
platformn : GNU/Linux/4.4.0-81-generic/x86_64
lsb   : Ubuntu/16.04.2/LTS
arch  : x86_64
cpu   : Intel(R)/Xeon(R)/CPU/E5-2650/0/@/2.00GHz
uptime: 14507.03/14385.03


Why is this hidden behind useless messages like:

 * How HBO's Silicon Valley built "Not Hotdog" with mobile TensorFlow,
   Keras & React Native on Ubuntu
   - https://ubu.one/HBOubu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to base-files in Ubuntu.
https://bugs.launchpad.net/bugs/1694730

Title:
  /etc/update-motd.d/50-motd-news calls home on each ssh connection

Status in base-files package in Ubuntu:
  Opinion

Bug description:
  This happens since Ubuntu 17.04 (Zesty)

  Why is /etc/update-motd.d/50-motd-news hitting https://motd.ubuntu.com
  each time I create a SSH connection?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/base-files/+bug/1694730/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1658511] Re: Some pages don't open on M10 & E4.5

2017-01-23 Thread Dominique Ramaekers
confirm and you can add the MX4 to the list of devices...

I'll change the title.

** Summary changed:

- Some pages don't open on M10 & E4.5
+ Some pages don't open

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1658511

Title:
  Some pages don't open

Status in webbrowser-app package in Ubuntu:
  Confirmed

Bug description:
  Gumtree.com but in my case gumtree.pl doesn't open corretly on M10 and
  E4.5 under OTA14. The problem is not the certificate notification
  which You can ignore. If You ignore it the page doesn't load
  correctly.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1658511/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1638695] Re: Python 2.7.12 performance regression

2017-01-15 Thread Dominique Poulain
Just a small precision about Jorge's last comment above
():

"I cleaned out all the resulting callgrind files removing the files
smaller than 100k and the ones that were not loading the cPickle
extension (https://pastebin.canonical.com/175951/)."

That URL is not publicly accessible, here are the commands Jorge ran:

find . -type f -size -100k -exec rm {} \;
for f in $(ack-grep -i pickle | grep callgrind.out | cut -d":" -f1 | uniq); do 
mv $f $f.pick; done
for f in $(ls *.pick); do callgrind_annotate $f > $f.annotate; done

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python2.7 in Ubuntu.
https://bugs.launchpad.net/bugs/1638695

Title:
  Python 2.7.12 performance regression

Status in python2.7 package in Ubuntu:
  Confirmed

Bug description:
  I work on the OpenStack-Ansible project and we've noticed that testing
  jobs on 16.04 take quite a bit longer to complete than on 14.04.  They
  complete within an hour on 14.04 but they normally take 90 minutes or
  more on 16.04.  We use the same version of Ansible with both versions
  of Ubuntu.

  After more digging, I tested python performance (using the
  'performance' module) on 14.04 (2.7.6) and on 16.04 (2.7.12).  There
  is a significant performance difference between each version of
  python.  That is detailed in a spreadsheet[0].

  I began using perf to dig into the differences when running the python
  performance module and when using Ansible playbooks.  CPU migrations
  (as measured by perf) are doubled in Ubuntu 16.04 when running the
  same python workloads.

  I tried changing some of the kerne.sched sysctl configurables but they
  had very little effect on the results.

  I compiled python 2.7.12 from source on 14.04 and found the
  performance to be unchanged there.  I'm not entirely sure where the
  problem might be now.

  We also have a bug open in OpenStack-Ansible[1] that provides
  additional detail. Thanks in advance for any help you can provide!

  [0] 
https://docs.google.com/spreadsheets/d/18MmptS_DAd1YP3OhHWQqLYVA9spC3xLt4PS3STI6tds/edit?usp=sharing
  [1] https://bugs.launchpad.net/openstack-ansible/+bug/1637494

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python2.7/+bug/1638695/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1614968] [NEW] package udev 229-4ubuntu7 failed to install/upgrade: le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1

2016-08-19 Thread Dominique Jollien
Public bug reported:

error message appear on startup

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: udev 229-4ubuntu7
ProcVersionSignature: Ubuntu 4.4.0-34.53-generic 4.4.15
Uname: Linux 4.4.0-34-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
Date: Fri Aug 19 14:28:42 2016
ErrorMessage: le sous-processus script post-installation installé a retourné 
une erreur de sortie d'état 1
InstallationDate: Installed on 2016-06-29 (50 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
MachineType: LENOVO 2349K66
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-34-generic 
root=UUID=ddefa9d5-e565-458a-bd1b-338502278553 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt  1.2.12~ubuntu16.04.1
SourcePackage: systemd
Title: package udev 229-4ubuntu7 failed to install/upgrade: le sous-processus 
script post-installation installé a retourné une erreur de sortie d'état 1
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/07/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: G1ET45WW (1.20 )
dmi.board.asset.tag: Not Available
dmi.board.name: 2349K66
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: 
dmi:bvnLENOVO:bvrG1ET45WW(1.20):bd08/07/2012:svnLENOVO:pn2349K66:pvrThinkPadT430:rvnLENOVO:rn2349K66:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 2349K66
dmi.product.version: ThinkPad T430
dmi.sys.vendor: LENOVO

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1614968

Title:
  package udev 229-4ubuntu7 failed to install/upgrade: le sous-processus
  script post-installation installé a retourné une erreur de sortie
  d'état 1

Status in systemd package in Ubuntu:
  New

Bug description:
  error message appear on startup

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: udev 229-4ubuntu7
  ProcVersionSignature: Ubuntu 4.4.0-34.53-generic 4.4.15
  Uname: Linux 4.4.0-34-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  Date: Fri Aug 19 14:28:42 2016
  ErrorMessage: le sous-processus script post-installation installé a retourné 
une erreur de sortie d'état 1
  InstallationDate: Installed on 2016-06-29 (50 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  MachineType: LENOVO 2349K66
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-34-generic 
root=UUID=ddefa9d5-e565-458a-bd1b-338502278553 ro quiet splash vt.handoff=7
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.12~ubuntu16.04.1
  SourcePackage: systemd
  Title: package udev 229-4ubuntu7 failed to install/upgrade: le sous-processus 
script post-installation installé a retourné une erreur de sortie d'état 1
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 08/07/2012
  dmi.bios.vendor: LENOVO
  dmi.bios.version: G1ET45WW (1.20 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 2349K66
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Defined
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Not Available
  dmi.modalias: 
dmi:bvnLENOVO:bvrG1ET45WW(1.20):bd08/07/2012:svnLENOVO:pn2349K66:pvrThinkPadT430:rvnLENOVO:rn2349K66:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
  dmi.product.name: 2349K66
  dmi.product.version: ThinkPad T430
  dmi.sys.vendor: LENOVO

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1614968/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1575572] Re: apache2 fails to start if installed via cloud config (on Xenial)

2016-05-31 Thread Dominique Poulain
The fix seems to work for me. Here's what I did to check:

I used a VM (xenial_test) booted from a pristine copy of the image at
 in a local OpenStack environment to verify the fix. I
modified the VM to enable -proposed, and upgraded init-system-helpers to
the -proposed package:

sudo apt-get install init-system-helpers=1.29ubuntu2

I then shut down the VM and generated a new image from it:

nova image-create xenial_test lp1575572-test-img

Finally, I tested with both Cloud Config data and User-Data script
syntax:

1) Cloud Config

cat cloud_conf.yaml 
#cloud-config
packages:
- apache2
runcmd:
- "nc -k -l -d 443&"

 nova boot --key-name $KEY --flavor m1.small --image lp1575572-test-img
--user-data cloud_conf.yaml lp1575572-test-vm

SSH-ing to the instance:

$ sudo systemctl status apache2
● apache2.service - LSB: Apache2 web server
   Loaded: loaded (/etc/init.d/apache2; bad; vendor preset: enabled)
  Drop-In: /lib/systemd/system/apache2.service.d
   └─apache2-systemd.conf
   Active: active (running) since Tue 2016-05-31 07:23:45 UTC; 40s ago
 Docs: man:systemd-sysv-generator(8)
Tasks: 55
   Memory: 6.5M
  CPU: 87ms
   CGroup: /system.slice/apache2.service
   ├─2321 /usr/sbin/apache2 -k start
   ├─2324 /usr/sbin/apache2 -k start
   └─2325 /usr/sbin/apache2 -k start

May 31 07:23:44 lp1575572-test-vm systemd[1]: Starting LSB: Apache2 web 
server...
May 31 07:23:44 lp1575572-test-vm apache2[2297]:  * Starting Apache httpd web 
server apache2
May 31 07:23:45 lp1575572-test-vm apache2[2297]:  *
May 31 07:23:45 lp1575572-test-vm systemd[1]: Started LSB: Apache2 web server.

# ==> pass


2) User Data

$ cat user-data.sh 
#!/bin/sh 

output_runlevel() { 
echo -n "Current runlevel is " 
sudo /sbin/runlevel 
} 
output_runlevel 
sudo DEBIAN_FRONTEND=noninteractive apt-get -q -y update 
#sudo sed -ie 's/set +e$/& -x/' /usr/sbin/invoke-rc.d 
output_runlevel 
sudo DEBIAN_FRONTEND=noninteractive apt-get install -q -y apache2 
output_runlevel 
sudo nc -k -l -d 443&

nova boot --key-name $KEY --flavor m1.small --image lp1575572-test-img
--user-data user-data.sh lp1575572-test-vm

SSH-ing to the instance:

$ sudo systemctl status apache2
● apache2.service - LSB: Apache2 web server
   Loaded: loaded (/etc/init.d/apache2; bad; vendor preset: enabled)
  Drop-In: /lib/systemd/system/apache2.service.d
   └─apache2-systemd.conf
   Active: active (running) since Tue 2016-05-31 07:29:40 UTC; 1min 20s ago
 Docs: man:systemd-sysv-generator(8)
Tasks: 55
   Memory: 6.6M
  CPU: 119ms
   CGroup: /system.slice/apache2.service
   ├─2332 /usr/sbin/apache2 -k start
   ├─2335 /usr/sbin/apache2 -k start
   └─2336 /usr/sbin/apache2 -k start

May 31 07:29:38 lp1575572-test-vm systemd[1]: Starting LSB: Apache2 web 
server...
May 31 07:29:38 lp1575572-test-vm apache2[2308]:  * Starting Apache httpd web 
server apache2
May 31 07:29:40 lp1575572-test-vm apache2[2308]:  *
May 31 07:29:40 lp1575572-test-vm systemd[1]: Started LSB: Apache2 web server.


# ==> pass

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1575572

Title:
  apache2 fails to start if installed via cloud config (on Xenial)

Status in init-system-helpers package in Ubuntu:
  Fix Released
Status in systemd package in Ubuntu:
  Triaged
Status in init-system-helpers source package in Xenial:
  Fix Committed
Status in systemd source package in Xenial:
  Won't Fix
Status in systemd package in Debian:
  Confirmed

Bug description:
  SRU TEST CASE:

  Using the following cloud config, apache2 will fail to start on
  installation on Xenial:

  #cloud-config
  packages:
  - apache2

  See for example:

  $ gcloud compute instances create xenial-$(date +%y%m%d-%H%M) --image 
ubuntu-1604-xenial-v20160420c --image-project ubuntu-os-cloud 
--metadata-from-file user-data=cloud-config
  NAMEZONEMACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  
EXTERNAL_IPSTATUS
  xenial-160427-1050  europe-west1-d  n1-standard-1   10.240.0.7   
104.155.86.94  RUNNING

  $ ssh ubuntu@104.155.86.94 systemctl status apache2.service
  ● apache2.service - LSB: Apache2 web server
     Loaded: loaded (/etc/init.d/apache2; bad; vendor preset: enabled)
    Drop-In: /lib/systemd/system/apache2.service.d
     └─apache2-systemd.conf
     Active: inactive (dead)
   Docs: man:systemd-sysv-generator(8)

  With the fixed init-system-helpers, apache2.service (or any other
  service you install via "packages:") should start correctly.

  Related Bugs:
   * bug 1576692: [cloud-init] fully support package installation in systemd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/init-system-helpers/+bug/1575572/+subscriptions

-- 
Mailing list: 

[Touch-packages] [Bug 1390623] Re: VPN with IPv6 connectivity but no IPv6 DNS server results in broken DNS config

2016-05-26 Thread Dominique Martinet
Has been fixed upstream through this bug report:
https://bugzilla.gnome.org/show_bug.cgi?id=766769

The patches were landed in master and nm-1.2 but not in older releases
afaik, would it be possible to backport them to LTS releases, or will
they only get security fixes and not applicative fixes? (I'm unfamiliar
with policies for older releases of ubuntu)

Thanks,
-- 
Dominique Martinet | Asmadeus

** Bug watch added: GNOME Bug Tracker #766769
   https://bugzilla.gnome.org/show_bug.cgi?id=766769

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1390623

Title:
  VPN with IPv6 connectivity but no IPv6 DNS server results in broken
  DNS config

Status in network-manager package in Ubuntu:
  Confirmed

Bug description:
  When connecting to a VPN that provides both a default route over IPv4
  and IPv6, but only DNS servers over IPv4, you can end up with the IPv4
  DNS servers set up as "split DNS". When that happens, the user is left
  without a working DNS configuration.

  See the attached log file for an example.

  I think the cause is that the patch for avoiding split DNS on VPNs
  with default routes[1] stops looking when it finds the first VPN
  configuration with a default route. If that configuration happens to
  be the IPv6-side of the VPN connection, then it will still add the
  IPv4 configuration with split DNS.

  A workaround is to simply add a IPv6 DNS server to the configuration
  in addition to the IPv4 DNS servers. In that case, the IPv6 DNS server
  is added without split DNS.

  This has been tested with both Ubuntu 14.04 LTS and Xubuntu 14.04.

  Package versions (on Xubuntu 14.04):
   network-manager 0.9.8.8-0ubuntu7
   network-manager-openvpn 0.9.8.2-1ubuntu4
   openvpn 2.3.2-7ubuntu3

  [1] http://bazaar.launchpad.net/~network-manager/network-
  manager/ubuntu/view/head:/debian/patches/dnsmasq-vpn-dns-
  filtering.patch

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1390623/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1174911] Re: pgrep cuts process names

2016-03-19 Thread Dominique Poulain
A correction to my previous comment:


states that pgrep gets the process' name from /proc//stat, not
/proc//status, as I wrote, and appears to be correct.

cat /proc/22351/stat
22351 (chromium-browse) S 1616 1829 1829 0 -1 4194560 31046 20451 701 0 468 160 
6 2 20 0 31 0 355501 1271119872 38692 18446744073709551615 94135085649920 
94135125690420 140723151897424 140723151896160 140132228684269 0 0 4096 81923 0 
0 0 17 3 0 0 64 0 0 94135127791120 94135129570812 94135143915520 
140723151902368 140723151902426 140723151902426 140723151904717 0

/proc//status itself gets its info from /proc//stat and
/proc//statm.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to procps in Ubuntu.
https://bugs.launchpad.net/bugs/1174911

Title:
  pgrep cuts process names

Status in procps package in Ubuntu:
  Confirmed

Bug description:
  When looking for a process with a long process name, pgrep cuts the
  process name, and so doesn't match an exact search. For example:

  # launch gnome-calculator:
  $ gnome-calculator

  # use 'ps a' to show process table - note the whole process name is present:
  $ ps a
PID TTY  STAT   TIME COMMAND
   1411 tty4 Ss+0:00 /sbin/getty -8 38400 tty4
   1417 tty5 Ss+0:00 /sbin/getty -8 38400 tty5
   1427 tty2 Ss+0:00 /sbin/getty -8 38400 tty2
   1428 tty3 Ss+0:00 /sbin/getty -8 38400 tty3
   1436 tty6 Ss+0:00 /sbin/getty -8 38400 tty6
   9417 pts/1Sl 0:00 gnome-calculator
   9426 pts/1R+ 0:00 ps a

  (some results cut for clarity)

  # now try and find it with pgrep:
  $ pgrep gnome-calculator

  # no results! however, this works:
  $ pgrep gnome-calculato

  ProblemType: Bug
  DistroRelease: Ubuntu 13.04
  Package: procps 1:3.3.3-2ubuntu5
  ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
  Uname: Linux 3.8.0-19-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.9.2-0ubuntu8
  Architecture: amd64
  Date: Tue Apr 30 13:35:02 2013
  InstallationDate: Installed on 2012-01-17 (469 days ago)
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
  MarkForUpload: True
  SourcePackage: procps
  UpgradeStatus: Upgraded to raring on 2012-12-05 (145 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/procps/+bug/1174911/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1174911] Re: pgrep cuts process names

2016-03-19 Thread Dominique Poulain
Confirmed on latest Xenial:

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:Ubuntu Xenial Xerus (development branch)
Release:16.04
Codename:   xenial

Related to LP #295876 'top and ps truncate command after 15 chars' at
.

As per comment #3 to LP #295876
(),
The root cause seems to be that pgrep gets the process's name from
/proc//status instead of /proc//cmdline; in the former case,
the name is truncated to 15 characters:

$ python3 -c 'print(len("chromium-browser"))'
16
$ pgrep chromium-browser
echo $?
1 # exit status code 1 == no processes matched (as per man page for pgrep(1))
$ pgrep chromium-browse
22351
22364
[snip]

$ cat /proc/22351/cmdline && echo
chromium-browser --enable-pinch
$ cat /proc/22351/status | grep Name
Name:   chromium-browse

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to procps in Ubuntu.
https://bugs.launchpad.net/bugs/1174911

Title:
  pgrep cuts process names

Status in procps package in Ubuntu:
  Confirmed

Bug description:
  When looking for a process with a long process name, pgrep cuts the
  process name, and so doesn't match an exact search. For example:

  # launch gnome-calculator:
  $ gnome-calculator

  # use 'ps a' to show process table - note the whole process name is present:
  $ ps a
PID TTY  STAT   TIME COMMAND
   1411 tty4 Ss+0:00 /sbin/getty -8 38400 tty4
   1417 tty5 Ss+0:00 /sbin/getty -8 38400 tty5
   1427 tty2 Ss+0:00 /sbin/getty -8 38400 tty2
   1428 tty3 Ss+0:00 /sbin/getty -8 38400 tty3
   1436 tty6 Ss+0:00 /sbin/getty -8 38400 tty6
   9417 pts/1Sl 0:00 gnome-calculator
   9426 pts/1R+ 0:00 ps a

  (some results cut for clarity)

  # now try and find it with pgrep:
  $ pgrep gnome-calculator

  # no results! however, this works:
  $ pgrep gnome-calculato

  ProblemType: Bug
  DistroRelease: Ubuntu 13.04
  Package: procps 1:3.3.3-2ubuntu5
  ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
  Uname: Linux 3.8.0-19-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.9.2-0ubuntu8
  Architecture: amd64
  Date: Tue Apr 30 13:35:02 2013
  InstallationDate: Installed on 2012-01-17 (469 days ago)
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
  MarkForUpload: True
  SourcePackage: procps
  UpgradeStatus: Upgraded to raring on 2012-12-05 (145 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/procps/+bug/1174911/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1174911] Re: pgrep cuts process names

2016-03-19 Thread Dominique Poulain

led me to review pgrep(1)'s man page (which it references).

Under 'NOTES', the man page states:

"The process name used for matching is limited to the 15 characters
present in the output of /proc/pid/stat.  Use the -f option to match
against the complete command line, /proc/pid/cmdline."

Therefore, this is not a bug, even though it is arguable that the
behaviour of pgrep(1)'s default invocation is not intuitive.
Accordingly, this can be closed as invalid.

** Changed in: procps (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to procps in Ubuntu.
https://bugs.launchpad.net/bugs/1174911

Title:
  pgrep cuts process names

Status in procps package in Ubuntu:
  Invalid

Bug description:
  When looking for a process with a long process name, pgrep cuts the
  process name, and so doesn't match an exact search. For example:

  # launch gnome-calculator:
  $ gnome-calculator

  # use 'ps a' to show process table - note the whole process name is present:
  $ ps a
PID TTY  STAT   TIME COMMAND
   1411 tty4 Ss+0:00 /sbin/getty -8 38400 tty4
   1417 tty5 Ss+0:00 /sbin/getty -8 38400 tty5
   1427 tty2 Ss+0:00 /sbin/getty -8 38400 tty2
   1428 tty3 Ss+0:00 /sbin/getty -8 38400 tty3
   1436 tty6 Ss+0:00 /sbin/getty -8 38400 tty6
   9417 pts/1Sl 0:00 gnome-calculator
   9426 pts/1R+ 0:00 ps a

  (some results cut for clarity)

  # now try and find it with pgrep:
  $ pgrep gnome-calculator

  # no results! however, this works:
  $ pgrep gnome-calculato

  ProblemType: Bug
  DistroRelease: Ubuntu 13.04
  Package: procps 1:3.3.3-2ubuntu5
  ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
  Uname: Linux 3.8.0-19-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.9.2-0ubuntu8
  Architecture: amd64
  Date: Tue Apr 30 13:35:02 2013
  InstallationDate: Installed on 2012-01-17 (469 days ago)
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
  MarkForUpload: True
  SourcePackage: procps
  UpgradeStatus: Upgraded to raring on 2012-12-05 (145 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/procps/+bug/1174911/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 295876] Re: top and ps truncate command after 15 chars

2016-03-19 Thread Dominique Poulain
Confirmed on latest Xenial for top, `ps -e` and pgrep:

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:Ubuntu Xenial Xerus (development branch)
Release:16.04
Codename:   xenial


$ python3 -c 'print(len("chromium-browser"))'
16
$ pgrep chromium-browser
echo $?
1 # exit status code 1 == no processes matched (as per man page for pgrep(1))
$ pgrep chromium-browse
22351
22364
[snip]

$ cat /proc/22351/cmdline && echo
chromium-browser --enable-pinch
$ cat /proc/22351/stat
22351 (chromium-browse) S 1616 1829 1829 0 -1 4194560 37820 20451 701 0 657 236 
6 2 20 0 29 0 355501 1262727168 41021 18446744073709551615 94135085649920 
94135125690420 140723151897424 140723151896160 140132228684269 0 0 4096 81923 0 
0 0 17 2 0 0 64 0 0 94135127791120 94135129570812 94135143915520 
140723151902368 140723151902426 140723151902426 140723151904717 

$ ps -e | grep chromium
22351 ?00:00:08 chromium-browse
22364 ?00:00:00 chromium-browse
22366 ?00:00:00 chromium-browse
22464 ?00:00:02 chromium-browse
22469 ?00:00:00 chromium-browse
22557 ?00:00:00 chromium-browse
$ top -b -n 1 -p 22351
[snip]
22351 foo  20   0 1233132 164084 118164 S   0,0  1,0   0:08.85 chromium-browse

related to LP #1174911 'pgrep cuts process names'


-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to procps in Ubuntu.
https://bugs.launchpad.net/bugs/295876

Title:
  top and ps truncate command after 15 chars

Status in Procps:
  Confirmed
Status in procps package in Ubuntu:
  Confirmed

Bug description:
  Binary package hint: procps

  I guess this is an issue with 'top', and not really Ubuntu related,
  but...

  I noticed something hogging my CPU, and top revealed:

  15219 root  30  10  109m 104m 4092 R   92  5.2   1:44.15 update-
  apt-xapi

  Of course, there is no such process called 'update-apt-xapi'.

  top truncates the process name to 15 chars (this was in fact 'update-
  apt-xapian-index' running).

  Nick

To manage notifications about this bug go to:
https://bugs.launchpad.net/procps/+bug/295876/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1559069] [NEW] Homepage URL for procps is outdated

2016-03-19 Thread Dominique Poulain
Public bug reported:

The homepage's URL for procps, as indicated at  or in the package's metadata, is outdated. The project has
moved to .

$ dpkg -s procps | grep Homepage
Homepage: http://gitorious.org/procps

$ curl -sL  http://gitorious.org/procps | grep No
404 - No projects found

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:Ubuntu Xenial Xerus (development branch)
Release:16.04
Codename:   xenial


This has been fixed in the Debian package 
().

** Affects: procps (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to procps in Ubuntu.
https://bugs.launchpad.net/bugs/1559069

Title:
  Homepage URL for procps is outdated

Status in procps package in Ubuntu:
  New

Bug description:
  The homepage's URL for procps, as indicated at  or in the package's metadata, is outdated. The project has
  moved to .

  $ dpkg -s procps | grep Homepage
  Homepage: http://gitorious.org/procps

  $ curl -sL  http://gitorious.org/procps | grep No
  404 - No projects found

  $ lsb_release -a
  No LSB modules are available.
  Distributor ID:   Ubuntu
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04
  Codename: xenial

  
  This has been fixed in the Debian package 
().

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/procps/+bug/1559069/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1512992] Re: package zlib1g-dev 1:1.2.8.dfsg-2ubuntu4 failed to install/upgrade: trying to overwrite '/usr/include/i386-linux-gnu/zconf.h', which is also in package lib32z1-dev 1

2016-03-10 Thread Dominique Pellé
In case it helps someone else having the same issue, I repaired my apt-
get packages using:

$ sudo apt-get -o Dpkg::Options::="--force-overwrite" install zlib1g-
dev:i386

I came up with this after reading this...
https://raphaelhertzog.com/2011/08/01/understanding-dpkgs-file-
overwrite-error/

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to zlib in Ubuntu.
https://bugs.launchpad.net/bugs/1512992

Title:
  package zlib1g-dev 1:1.2.8.dfsg-2ubuntu4 failed to install/upgrade:
  trying to overwrite '/usr/include/i386-linux-gnu/zconf.h', which is
  also in package lib32z1-dev 1:1.2.8.dfsg-2ubuntu4

Status in One Hundred Papercuts:
  Confirmed
Status in zlib package in Ubuntu:
  Confirmed

Bug description:
  The package did not install when I did a fresh install of 15.10.

  ProblemType: Package
  DistroRelease: Ubuntu 15.10
  Package: zlib1g-dev 1:1.2.8.dfsg-2ubuntu4
  ProcVersionSignature: Ubuntu 4.2.0-17.21-generic 4.2.3
  Uname: Linux 4.2.0-17-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.19.1-0ubuntu4
  Architecture: amd64
  Date: Wed Nov  4 10:36:43 2015
  DuplicateSignature: package:zlib1g-dev:1:1.2.8.dfsg-2ubuntu4:trying to 
overwrite '/usr/include/i386-linux-gnu/zconf.h', which is also in package 
lib32z1-dev 1:1.2.8.dfsg-2ubuntu4
  ErrorMessage: trying to overwrite '/usr/include/i386-linux-gnu/zconf.h', 
which is also in package lib32z1-dev 1:1.2.8.dfsg-2ubuntu4
  InstallationDate: Installed on 2015-11-04 (0 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  RelatedPackageVersions:
   dpkg 1.18.2ubuntu5
   apt  1.0.10.2ubuntu1
  SourcePackage: zlib
  Title: package zlib1g-dev 1:1.2.8.dfsg-2ubuntu4 failed to install/upgrade: 
trying to overwrite '/usr/include/i386-linux-gnu/zconf.h', which is also in 
package lib32z1-dev 1:1.2.8.dfsg-2ubuntu4
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/hundredpapercuts/+bug/1512992/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1512992] Re: package zlib1g-dev 1:1.2.8.dfsg-2ubuntu4 failed to install/upgrade: trying to overwrite '/usr/include/i386-linux-gnu/zconf.h', which is also in package lib32z1-dev 1

2016-03-10 Thread Dominique Pellé
I'm encountering the same bug on xubuntu-15.10:

$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree   
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 libpng12-dev:i386 : Depends: zlib1g-dev:i386 but it is not installed
E: Unmet dependencies. Try using -f.

$ sudo apt-get -f upgrade
Reading package lists... Done
Building dependency tree   
Reading state information... Done
Correcting dependencies... Done
Calculating upgrade... The following packages were automatically installed and 
are no longer required:
  appmenu-qt appmenu-qt5 apturl apturl-common bamfdaemon brasero brasero-cdrkit 
empathy-common folks-common gedit-common gir1.2-accounts-1.0
  gir1.2-gdata-0.0 gir1.2-goa-1.0 gir1.2-gtksource-3.0 gir1.2-signon-1.0 
gir1.2-totem-1.0 gir1.2-totem-plparser-1.0 indicator-appmenu
  indicator-printers jayatana libavahi-gobject0 libbamf3-2 libchamplain-0.12-0 
libedataserverui-1.2-1 libfolks-eds25 libfolks25 libframe6
  libgail-3-0 libgeis1 libglewmx1.10 libgrail6 libmission-control-plugins0 
libnux-4.0-0 libnux-4.0-common libtelepathy-farstream3
  libtelepathy-logger3 libunity-core-6.0-9 libunity-gtk2-parser0 
libunity-gtk3-parser0 libunity-misc4 libwhoopsie-preferences0 nux-tools
  python3-feedparser signon-plugin-password telepathy-gabble telepathy-haze 
telepathy-indicator telepathy-logger telepathy-mission-control-5
  telepathy-salut unity-gtk2-module unity-gtk3-module unity-lens-music 
unity-lens-photos unity-schemas unity-scope-audacious
  unity-scope-calculator unity-scope-chromiumbookmarks unity-scope-clementine 
unity-scope-colourlovers unity-scope-devhelp
  unity-scope-firefoxbookmarks unity-scope-gdrive unity-scope-gmusicbrowser 
unity-scope-gourmet unity-scope-guayadeque unity-scope-home
  unity-scope-manpages unity-scope-musicstores unity-scope-musique 
unity-scope-openclipart unity-scope-texdoc unity-scope-tomboy
  unity-scope-virtualbox unity-scope-yelp unity-scope-zotero 
unity-scopes-master-default unity-scopes-runner unity-services
  whoopsie-preferences
Use 'apt-get autoremove' to remove them.
Done
The following NEW packages will be installed:
  zlib1g-dev:i386
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0 B/167 kB of archives.
After this operation, 403 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
(Reading database ... 261971 files and directories currently installed.)
Preparing to unpack .../zlib1g-dev_1%3a1.2.8.dfsg-2ubuntu4_i386.deb ...
Unpacking zlib1g-dev:i386 (1:1.2.8.dfsg-2ubuntu4) ...
dpkg: error processing archive 
/var/cache/apt/archives/zlib1g-dev_1%3a1.2.8.dfsg-2ubuntu4_i386.deb (--unpack):
 trying to overwrite '/usr/include/i386-linux-gnu/zconf.h', which is also in 
package lib32z1-dev 1:1.2.8.dfsg-2ubuntu4
Processing triggers for man-db (2.7.4-1) ...
Errors were encountered while processing:
 /var/cache/apt/archives/zlib1g-dev_1%3a1.2.8.dfsg-2ubuntu4_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


-> is there a way to repair my packages?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to zlib in Ubuntu.
https://bugs.launchpad.net/bugs/1512992

Title:
  package zlib1g-dev 1:1.2.8.dfsg-2ubuntu4 failed to install/upgrade:
  trying to overwrite '/usr/include/i386-linux-gnu/zconf.h', which is
  also in package lib32z1-dev 1:1.2.8.dfsg-2ubuntu4

Status in One Hundred Papercuts:
  Confirmed
Status in zlib package in Ubuntu:
  Confirmed

Bug description:
  The package did not install when I did a fresh install of 15.10.

  ProblemType: Package
  DistroRelease: Ubuntu 15.10
  Package: zlib1g-dev 1:1.2.8.dfsg-2ubuntu4
  ProcVersionSignature: Ubuntu 4.2.0-17.21-generic 4.2.3
  Uname: Linux 4.2.0-17-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.19.1-0ubuntu4
  Architecture: amd64
  Date: Wed Nov  4 10:36:43 2015
  DuplicateSignature: package:zlib1g-dev:1:1.2.8.dfsg-2ubuntu4:trying to 
overwrite '/usr/include/i386-linux-gnu/zconf.h', which is also in package 
lib32z1-dev 1:1.2.8.dfsg-2ubuntu4
  ErrorMessage: trying to overwrite '/usr/include/i386-linux-gnu/zconf.h', 
which is also in package lib32z1-dev 1:1.2.8.dfsg-2ubuntu4
  InstallationDate: Installed on 2015-11-04 (0 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  RelatedPackageVersions:
   dpkg 1.18.2ubuntu5
   apt  1.0.10.2ubuntu1
  SourcePackage: zlib
  Title: package zlib1g-dev 1:1.2.8.dfsg-2ubuntu4 failed to install/upgrade: 
trying to overwrite '/usr/include/i386-linux-gnu/zconf.h', which is also in 
package lib32z1-dev 1:1.2.8.dfsg-2ubuntu4
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/hundredpapercuts/+bug/1512992/+subscriptions

-- 
Mailing list: 

[Touch-packages] [Bug 1417192] [NEW] sometimes the keyboard is set to qwerty

2015-02-02 Thread D'hulst Dominique
Public bug reported:

I'm french with azerty keyboard as first choice and greek kbd as second
choice. Sometimes, after reboot, my kbd is set to qwerty, don't know
why... by hiting the fr option in taskbar, I can't get the french kbd.

** Affects: lightdm (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lightdm in Ubuntu.
https://bugs.launchpad.net/bugs/1417192

Title:
  sometimes the keyboard is set to qwerty

Status in lightdm package in Ubuntu:
  New

Bug description:
  I'm french with azerty keyboard as first choice and greek kbd as
  second choice. Sometimes, after reboot, my kbd is set to qwerty, don't
  know why... by hiting the fr option in taskbar, I can't get the french
  kbd.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/1417192/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1013881] Re: Right-Ctrl key broken on French OSS keyboard

2014-07-23 Thread Dominique Meeùs
Sebastien Bacher a écrit ce qui suit, le 23/07/14 12:10 :
 it would be nice to have a bug we can use for the SRU, not sure if that
 one is appropriate since it's years old and close. Otherwise agreed that
 we should fix that issue in trusty

In the Debian sid package xkb-data 2.12-1, the bug *is* corrected 
(Ubuntu is still at 2.10). I did install it in 14.04 and test with the 
Belgian alternate keyboard (based on the French). Both Ctrl keys do act 
as Ctrl.
I do not understand the thing that would be nice to have above, but it 
is not an issue any more for Debian testing or for Debian unstable.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xkeyboard-config in
Ubuntu.
https://bugs.launchpad.net/bugs/1013881

Title:
  Right-Ctrl key broken on French OSS keyboard

Status in central project for keyboard configuration:
  Fix Released
Status in “xkeyboard-config” package in Ubuntu:
  Fix Released
Status in “xkeyboard-config” source package in Precise:
  Fix Released

Bug description:
  Since the version 2.5-1ubuntu1.2 of the package xkb-data, the right CTRL key 
of the keyboard has ceased to work.
  The problem started when APT has updated the xkd-data from 2.5-1ubuntu1 to 
2.5-1ubuntu1.2.

  If I switch back to 2.5.-1ubuntu1 using Synaptic, it works back.

  ProblemType: Bug
  DistroRelease: Ubuntu 12.04
  Package: xkb-data 2.5-1ubuntu1
  ProcVersionSignature: Ubuntu 3.2.0-25.40-generic 3.2.18
  Uname: Linux 3.2.0-25-generic x86_64
  ApportVersion: 2.0.1-0ubuntu9
  Architecture: amd64
  Date: Sat Jun 16 00:16:09 2012
  Dependencies:
   
  DistUpgraded: Fresh install
  DistroCodename: precise
  DistroVariant: ubuntu
  InstallationMedia: Ubuntu 12.04 LTS Precise Pangolin - Release amd64 
(20120425)
  Lsusb:
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
   Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
   Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
   Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
   Bus 002 Device 003: ID 17ef:1003 Lenovo Integrated Smart Card Reader
  MachineType: LENOVO 4243E69
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm
   PATH=(custom, no user)
   LANG=fr_FR.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-25-generic 
root=UUID=f6981326-31fd-4eaf-b039-3a1e5f33dbc0 ro quiet splash vt.handoff=7
  SourcePackage: xkeyboard-config
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/06/2011
  dmi.bios.vendor: LENOVO
  dmi.bios.version: 8AET56WW (1.36 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 4243E69
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Available
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Not Available
  dmi.modalias: 
dmi:bvnLENOVO:bvr8AET56WW(1.36):bd12/06/2011:svnLENOVO:pn4243E69:pvrThinkPadT520:rvnLENOVO:rn4243E69:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
  dmi.product.name: 4243E69
  dmi.product.version: ThinkPad T520
  dmi.sys.vendor: LENOVO
  version.compiz: compiz 1:0.9.7.8-0ubuntu1
  version.ia32-libs: ia32-libs 20090808ubuntu36
  version.libdrm2: libdrm2 2.4.32-1ubuntu1
  version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3.1
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3.1
  version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 
1:6.14.99~git20111219.aacbd629-0ubuntu2
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.19.0-0ubuntu1~xup1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:0.0.16+git20111201+b5534a1-1build2

To manage notifications about this bug go to:
https://bugs.launchpad.net/xkeyboard-config/+bug/1013881/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp